import layer from './layer';
import Vue from 'vue'

var Layers = function(opts){
	// 这里我们return一个新的Vue实例并且将实例挂载到我们刚创建的DOM节点上
	return new Vue({
		render: (create) => {
			return create(layer, {
				props: {
					text: '111111111',
					options:opts,
					onload: function(){
						console.log('onload ________________ ', 4444444444444);
					}
				}
			})
		},
	}).$mount()


	return ;

	layer.install = function(Vue) {
		console.log('install ________________ ', Vue);
		var Layer = Vue.component('layer', layer);

		new Layer({data:{aaa:'1111111111111'}})
	};

	
	Vue.use(layer)

	return ;
	
	
	var Layer = Vue.component(layer.name, {data: function(ssss){
		console.log('ssss ________________ ', ssss);
	}, template:'<button >点击计算点击次数：</button>'});

	Vue.component('layer', layer)

	console.log('Layer ________________ ', new Layer({data:{}}));

	/* Vue.component("counter",{    //1.组件名为"conter"; 2.data 写函数; 3.template 写组件的内容（元素和触发的事件）
		data:function(){
				return {count:0}
				},
	 
		//template 是模板的意思，在 html 里面是一个可以同时控制多个子元素的父元素。在这里定义了组件的内容
		template:'<button v-on:click="count++">点击计算点击次数：{{count}}次</button>'
	}); */

	//var aaa = new Layer(layer);

	//console.log('Layers ________________ ', aaa,  options);

	/* new Vue({
		el:layer
	}) */
};


export {
	Layers,
}